Page MenuHomePhabricator

[SVE][CodeGen]Use getFixedSize() function for TypeSize comparison in clang
ClosedPublic

Authored by CarolineConcatto on Oct 13 2020, 5:43 AM.

Details

Summary

This patch makes sure that the instance of TypeSize comparison operator is done with a fixed type size.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald Transcript
CarolineConcatto requested review of this revision.Oct 13 2020, 5:43 AM
CarolineConcatto retitled this revision from [SVE][CodeGen]Use TypeSize comparison operators in clang to [SVE][CodeGen]Use TypeSize comparison functions in clang.Oct 13 2020, 6:52 AM
CarolineConcatto added a reviewer: sdesmalen.
CarolineConcatto edited the summary of this revision. (Show Details)Oct 13 2020, 7:19 AM

-Use getFixedSize instead of isKnowXY

CarolineConcatto retitled this revision from [SVE][CodeGen]Use TypeSize comparison functions in clang to [SVE][CodeGen]Use getFixedSize() function for TypeSize comparison in clang.Oct 13 2020, 9:22 AM
CarolineConcatto edited the summary of this revision. (Show Details)
david-arm accepted this revision.Oct 14 2020, 12:02 AM
This revision is now accepted and ready to land.Oct 14 2020, 12:02 AM
This revision was landed with ongoing or failed builds.Oct 16 2020, 3:22 AM
This revision was automatically updated to reflect the committed changes.